<?php
/**
 * Plugin Name: latest_posts
 * Description: A Widget will display your latest_posts in your sidebar . 
 * Version: 0.1
 * Author: Melnik	
 * Author URI: http://melnik.xe0.ru
 */

add_action( 'widgets_init', 'latest_posts' );// Загрузка виджета

// Функция регистрации виджета
function latest_posts() {
	register_widget( 'MY_Widget_latest_posts' );
}

//Класс виджета
class MY_Widget_latest_posts extends WP_Widget {
// Установки виджета
	function MY_Widget_latest_posts() {
		$widget_ops = array( 'classname' => 'InAvateSibir', 'description' => __('A Widget will display your latest_posts in your sidebar ', 'InAvateSibir') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'InAvateSibir-widget' );
		
		$this->WP_Widget( 'InAvateSibir-widget', __('latest_posts Widget', 'InAvateSibir'), $widget_ops, $control_ops );
	}
// Вывод виджета	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$count = $instance['count'];

		echo $before_widget;
		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the count 
		if ( $count )
global $post;
 $interval = date('Y-m-d', strtotime("-$period days"));
 $result = new WP_Query("showposts=$count");
 while ($result -> have_posts()) : $result -> the_post();
 ?>
 <div class="widgetlastpost">
 <div class="widgetimg">
 <a  href="<?php the_permalink() ?>"><?php the_post_thumbnail(array(100,70)); ?></a></div>
 <div class="widgettextpost"><a  href="<?php the_permalink() ?>"><h6><?php the_title('',('...')); ?></h6></a></div>
 </div>
 <?php endwhile; wp_reset_postdata(); 
 
	echo $after_widget;
	}

//Обновление виджета Данная функция получает установки пользователя и сохраняет их.	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and count to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['count'] = strip_tags( $new_instance['count'] );

		return $instance;
	}

//Здесь пользователь будет определять установки и значения	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Example', 'InAvateSibir'), 'count' =>'3' , 'InAvateSibir');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

<?//Widget Title: Text Input.?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'InAvateSibir'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

<?//Text Input.?>
		<p>
			<label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php _e('count post', 'InAvateSibir'); ?></label>
			<input id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" value="<?php echo $instance['count']; ?>" style="width:100%;" />
		</p>

	<?php
	}
}

?>